Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class CommandException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.tools.shell.CommandException

    class CommandException
    extends Exception

Thrown to indicate a problem with command execution.

Authors:
  Jason Dillon

Version:
  \$Id: Command.groovy 8806 2007-10-25 21:58:29Z user57 \$

Property Summary
`Command` | `command`

Constructor Summary
`CommandException(Command command, String msg)`
`CommandException(Command command, String msg, Throwable cause)`

Method Summary

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### command

    final Command command

Constructor Detail

### CommandException

    CommandException(Command command, String msg)

### CommandException

    CommandException(Command command, String msg, Throwable cause)

Copyright © 2003-2010 The Codehaus. All rights reserved.